Package org.eclipse.birt.chart.render

# Class ActionRendererAdapter

java.lang.Object
org.eclipse.birt.chart.render.ActionRendererAdapter

All Implemented Interfaces:
  `IActionRenderer`

public class ActionRendererAdapter extends Object implements IActionRenderer
An adapter class for IActionRenderer

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.render.IActionRenderer

`AXIS_LABEL, LEGEND_ITEM_DATA, LEGEND_ITEM_TEXT, LEGEND_ITEM_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`ActionRendererAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processAction(Action action, StructureSource source)`
Process the action with given source object.
`void`
`processAction(Action action, StructureSource source, RunTimeContext rtc)`
Process the action with given source object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionRendererAdapter

public ActionRendererAdapter()

## Method Details

### processAction

public void processAction(Action action, StructureSource source, RunTimeContext rtc)
Description copied from interface: `IActionRenderer`
Process the action with given source object.

Specified by:
  `processAction` in interface `IActionRenderer`
Parameters:
  `action` - Action Object.
  `source` - Source Object
  `rtc` - chart runtime context

### processAction

public void processAction(Action action, StructureSource source)
Description copied from interface: `IActionRenderer`
Process the action with given source object.

Specified by:
  `processAction` in interface `IActionRenderer`
Parameters:
  `action` - Action Object.
  `source` - Source Object